function [lon,lat]=arc_p(lon0,lat0,s,teta1,teta2,n)
%         
%
%:  [lon,lat]=arc_p(lon0,lat0,s,[teta1,teta2,[n]])
%
%  lon0,lat0 -      ( .)
%          s -   ( .)
%teta1,teta2 -    ,  
%                 (0 -   ;
%               .).   - 0  360.
%          n -     (  - 180);
%
%    lon,lat -      n, 
%                ( .)
%
%   0  360 .,  -  -90(S)  +90(N).
%     .
%

if nargin<4
   teta1=0; teta2=360;n=180;
elseif nargin<6
   n=180;
end

% .......     .
TETA=(d2r(teta1):d2r((teta2-teta1)/n):d2r(teta2))';
lr = d2r(lon0);
fr = d2r(lat0);
sr = d2r(s);

if lat0==+90 | lat0==-90      %  -  
   lon = r2d(TETA);
   lat = zeros(length(TETA),1)+(90-s);
else
   lat = asin( sin(fr)*cos(sr)+cos(fr)*sin(sr)*cos(TETA) ); %  
   k = lat==pi/2 | lat==-pi/2;
   cl = ( cos(sr)-sin(lat)*sin(fr) )./( cos(lat)*cos(fr) ); % cos 
   sl = sin(sr)*sin(TETA)./cos(lat);                        % sin 
   lat = r2d(lat);
   lon=r2d(lr+atan2(sl,cl));
end
