function mjd=cdtmjd(year,month,day)
%    MJD
%
%:        mjd=cdtmjd(year,month,day)
%
%  year -  (..  1583);
% month -  (1...12);
%   day -   (1...31);
%   mjd -    (=JD-2400000.5)
%   ..  .

% Khomutov S.Yu., 06.04.96
%
% :  .    . -
%           .: , 1988. - .27-29

if year<1583 | month<1 | month>12 | day<1 | day>31
   error ('    ')
end
[i1,i2]=size(year);
mjd=zeros(i1,i2);
i=month>2;
   mjd(i) = fix(365.25*year(i)) + fix(30.6001*(month(i)+1)) ...
         + day(i) + 1720996.5 ...
         - fix(year(i)/100)+fix(fix(year(i)/100)/4) ...
         - 2400000.5;
i=month<=2;
   mjd(i) = fix(365.25*(year(i)-1)) + fix(30.6001*(month(i)+13)) ...
         + day(i) + 1720996.5 ...
         - fix((year(i)-1)/100)+fix(fix((year(i)-1)/100)/4) ...
         - 2400000.5;
