function [azim,z_dist]=equ2hor(t_angle,delta,lat)
%   (t_angle,delta)   (a,z)
%
%Call:	[azim,z_dist]=equ2hor(t_angle,delta,lat);
%
%: 	t_angle	-  ;
%	  delta - ;
%	    lat -    (  );
%
%:    azim -   ( N  E);
%	 z_dist -   ( 0  180);
%
% !!!    ..  

% Sergey Khomutov, 08.05.97,  Novosibirsk

%   -  
st=sin(t_angle); ct=cos(t_angle);
sd=sin(delta); cd=cos(delta);
sl=sin(lat); cl=cos(lat);

%  
azim = atan2(-cd.*st, sd.*cl-cd.*sl.*ct);
k=azim<0; azim(k)=azim(k)+2*pi;		% transform to (0...2*pi);

%   
z_dist = atan2(-cd.*st, (sd.*sl+cd.*cl.*ct).*sin(azim));
k=z_dist<0; z_dist(k)=z_dist(k)+pi;	% transform to (0...pi);
