function [r_min,r_max]=fisher(r,n,t)
%      
%   
%
% r - correlation coefficient matrix;
% n - the number of points for estimation of r;
% t - quantile factor (e.g., 1.645 for 90% confidence level);

if n<4
   error('Length of coefficient vector must be greater 3 !!!')
end
% Fisher criteria
z = 0.5.*log( (1+r) ./ (1-r) );

% Standart deviation of z
sd_z=1/sqrt(n-3);
%
z_min=z-t*sd_z;
z_max=z+t*sd_z;
r_min=-(1-exp(2*z_min)) ./ (1+exp(2*z_min));
r_max=-(1-exp(2*z_max)) ./ (1+exp(2*z_max));
