function axis_lim = map(proj,lon_1,lon_2,lat_1,lat_2,style)
% MAP       
%             .
%
% : V = map([proj,[lon_min,lon_max,lat_min,lat_max,[style]]]);
%            map(proj);   map;
%
% proj -     ():
%        'm' -  (    );
%        'pn'-  (   );
%        'ps'-  (   );
% lon_min,lon_max,lat_min,lat_max -    
%          ( .).
% style -   (  - 'c15.')
% V -    .
%
%    ( -> map),  
%  (0, 360, -90, +90).  - 'm'.
%
%    0  360 .,  -  -90  +90 .
%     .
%      HOLD.

%  ..,   01.10.96,     

if nargin < 1
   lon_1=0; lon_2=360;
   lat_1=-90; lat_2=90;
   proj = 'm';
   style = '.';
elseif nargin < 5
   lon_1=0; lon_2=360;
   lat_1=-90; lat_2=90;
   style = '.';
elseif nargin < 6
   style = '.';
end

if proj=='m'
   axis_lim=[lon_1 lon_2 lat_1 lat_2];
   axis (axis_lim);  %   
elseif proj=='pn'| proj=='ps'
   axis_lim=[lat_1-90 90-lat_1 lat_1-90 90-lat_1];
   axis (axis_lim);  %   
else
   error ('    ...')
end

%       (3319 )
disp('     ...')
coast = c_list;   %       
for l=1:7,
   s=['load ' coast(l,:)]; eval(s)
   lon = eval([coast(l,:) '(:,1)']);  %  
   lat = eval([coast(l,:) '(:,2)']);  %  
   k=lon>=lon_1 & lon<=lon_2 & lat>=lat_1 & lat<=lat_2; %  
   if proj=='m'
      plot(lon(k),lat(k),style);
   elseif proj=='pn'
      polar_n(lon(k),lat(k),style);
      if k==1
         title('90E')
      end
   elseif proj=='ps'
      polar_s(lon(k),lat(k),style);
      if k==1
         title('90E')
      end
   else
      error ('    ...')
   end
%   pause (3)
   hold on
end
disp(setstr(7))
disp('!!!     PACK ...!!!')
