function [year,month,day]=mjdcdt(mjd)
%    MJD
%
%:       [year,month,day]=mjdcdt(mjd)
%
%   mjd -    (=JD-2400000.5)
%  year - 
% month - 
%   day -  

% Khomutov S.Yu., 06.04.96
%
% :  .    . -
%           .: , 1988. - .29-31

if mjd<-100000
   error ('    ')
end
%
%   
%
alpha=fix((fix(mjd+2400001)-1867216.25)/36524.25);
b=fix(mjd+2400001)+alpha-fix(alpha/4)+1525;
c=fix((b-122.1)/365.25);
d=fix(365.25*c);
e=fix((b-d)/30.6001);

day = b-d-fix(30.6001*e)+rem(mjd+2400001,1);
[i1,i2]=size(mjd);
month=zeros(i1,i2);
year=zeros(i1,i2);

i=e<13.5;
   month(i)=e(i)-1;
i=e>13.5;
   month(i)=e(i)-13;

i=month>2.5;
   year(i)=c(i)-4716;
i=month<2.5;
   year(i)=c(i)-4715;
