function [ampl,phase]=wave_fit(t,y,period)
%       
%
%            [ampl,phase]=wave_fit(t,y,period)
%
%     t -  
%     y -   
%period -    .
%            - , 
%          -  ,    t.
%
%  ampl -    
% phase -   (   ,   t)
%
%!!!  v3.5  length(t) * (2*length(period)) .. < 8188 !!!
%
%. :   WAVE_VAL

%
%  SUM{ c(k)*SIN[f(k)*t+ph(k)] }   
% SUM{ a(k)*SIN[f(k)*t] + b(k)*COS[f(k)*t]},  f(k) - 
% k- , a(k)=c(k)*COS(ph(k)), b(k)=c(k)*SIN(ph(k)).
%  A*X=Y    : X=A\Y.

%
%  ..,   12.04.96
%                 05.11.97   v.4.2
%
freq=2*pi./period;      %  
nwave=length(period);   % -   
if sscanf(version,'%d',1)==3 & length(t)*2*nwave>8188,
   error('      ver.3')
end
%   
a=zeros(length(t),2*nwave);
for k=1:nwave
   a(:,2*k-1)=sin(freq(k)*t);
   a(:,2*k)  =cos(freq(k)*t);
end
%   a*x=y ---> x=a\y   
x=a\y;
for k=1:nwave
   ampl(k)=sqrt(x(2*k-1)^2+x(2*k)^2);
   phase(k)=atan2(x(2*k),x(2*k-1))/freq(k);
end
