function out=zontide(mjd,par,n_harm);
%       UT  LOD
%
%:  out=zontide(mjd,par,n_harm);
%
% mjd    -     (N);
% par    - ,    :
%              1 -  UT, 2 -  LOD;
% n_harm -  (2x1),    (>=1)   (<=62)
%              ,    ;
% out    -  (Nx1),  :
%              dUTR -  , dLODR -  ;
%
%       
%  ztide.mat
% 1994 IERS Annual Report, Tabl.I-5a, pp. I16 - I17.
% 1000  -  25 

%  .., 19.01.99

load ztide    %       
              % 10E-4 s for UT (SIN), 10E-5 s for LOD (COS)

amp=ztide(n_harm(1):n_harm(2),7+par);   % -   
arg0=ztide(n_harm(1):n_harm(2),2:6);

for k=1:length(mjd),
    if rem(k,500)==0,
       disp(k)
    end
    T=mjd(k)-51544.5;
    EPH(1) = d2r( 134.96 + 13.064993*T );
    EPH(2) = d2r( 357.53 +  0.985600*T );
    EPH(3) = d2r(  93.27 + 13.229350*T );
    EPH(4) = d2r( 297.85 + 12.190749*T );
    EPH(5) = d2r( 125.04 -  0.052954*T );

    if par==1,
       out(k)=sum( amp .* sin( arg0(:,1)*EPH(1)+arg0(:,2)*EPH(2)+...
                               arg0(:,3)*EPH(3)+arg0(:,4)*EPH(4)+...
                               arg0(:,5)*EPH(5) )) / 10000;
    else
       out(k)=sum( amp .* cos( arg0(:,1)*EPH(1)+arg0(:,2)*EPH(2)+...
                               arg0(:,3)*EPH(3)+arg0(:,4)*EPH(4)+...
                               arg0(:,5)*EPH(5) )) / 100;
    end
end
